Bug 480798 - dhcpd compiled without ipv6 support
dhcpd compiled without ipv6 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 11:49 EST by Stefan Jensen
Modified: 2009-02-17 23:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 23:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2009-01-20 11:49:56 EST
Description of problem:

i want to run two instance of dhcpd, one for ipv4 and one for ipv6, but the "-6/-4" option are not compiled in with current dhcpd. So starting dhcpd with "-6" or "-4" eg:

dhcpd -f -q -cf /etc/dhcpd6.conf -lf /var/lib/dhcpd/dhcpd6.leases -pf /var/run/dhcpd6.pid

will always fail.

Version-Release number of selected component (if applicable):

$ rpm -qa| grep dhcp

libdhcp-1.99.8-1.fc10.x86_64
libdhcp4client-4.0.0-33.fc10.x86_64
dhcpv6-client-1.0.22-1.fc10.x86_64
libdhcp6client-1.0.22-1.fc10.x86_64
dhcp-4.0.0-33.fc10.x86_64

How reproducible:

Always

Steps to Reproduce:

1. install dhcp-4
2. start with "dhcpd -f -q -cf /etc/dhcpd6.conf -lf /var/lib/dhcpd/dhcpd6.leases -pf /var/run/dhcpd6.pid"
  
Actual results:

dhcpd will fail to start.

Expected results:

dhcpd startup with above $ARGS

Additional info:

In the man page, i can read that dhcpd is able to run on ipv6 with the "-6" switch and dhcpd without options is running on ip6 as a default. 
(Which is wrong for this version of dhcpd)

best regards
Comment 1 David Cantrell 2009-01-21 13:24:39 EST
DHCPv6 support is deliberately disabled in the dhcp package.  In Fedora, we have dhcpv6:  http://fedorahosted.org/dhcpv6/

Previous releases of ISC dhcp had weak DHCPv6 support, but it's been improving.

I'm not opposed to enabling DHCPv6 in the ISC software now as it's much improved over past releases, however enabling it is not trivial.  dhclient-script will need some work.  I will work on it later.
Comment 2 Stefan Jensen 2009-01-21 13:57:19 EST
I'm currently fine with dhcp6s, but the main disadvantage with dhcp on ipv6 (for me) is currently the miss of server side ddns-updates. i was hoping isc-dhcpd is able to do this. :-/ 

Anyway, i'm looking forward to see anything like this in next Fedora. :-) As a suggestion, maybe it could be a good (or even better) idea to expand dhcp6s to do this job of the ddns-update?

best regards
Comment 3 David Cantrell 2009-02-17 23:13:36 EST
dhcp-4.1.0-6.fc11 is built with --enable-dhcpv6 so that users can experiment with ISC's DHCPv6 implementation.

Note You need to log in before you can comment on or make changes to this bug.